Uploaded image for project: 'Hive'
  1. Hive
  2. HIVE-9309

schematool fails on Postgres 8.1

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.1.0
    • Component/s: Database/Schema
    • Labels:

      Description

      Postgres upgrade scripts set standard_conforming_strings which is not allowed in 8.1:

      ERROR: parameter "standard_conforming_strings" cannot be changed (state=55P02,code=0)
      

      Postgres 8.1 Release notes say that "standard_conforming_strings value is read-only"
      Postgres 8.2 notes say that it can be set at runtime.

      It'd be nice to address this for those still using Postgres 8.1

      This patch provides a schemaTool db option "postgres.filter.81" which, if set, filters out the "standard_conforming_strings" statement from upgrade scripts.

        Attachments

        1. HIVE-9309.patch
          7 kB
          Mohit Sabharwal

          Issue Links

            Activity

              People

              • Assignee:
                mohitsabharwal Mohit Sabharwal
                Reporter:
                mohitsabharwal Mohit Sabharwal
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: